Loading...
Searching...
No Matches
fdasd.c File Reference

## Macros

#define | _(String)

## Functions

partition_info_t * | fdasd_add_partition (fdasd_anchor_t *anc, unsigned int start, unsigned int stop)
void | fdasd_change_volser (fdasd_anchor_t *anc, char *str)
void | fdasd_check_api_version (fdasd_anchor_t *anc, int f)
void | fdasd_check_volser (char *volser, int devno)
int | fdasd_check_volume (fdasd_anchor_t *anc, int fd)
void | fdasd_cleanup (fdasd_anchor_t *anchor)
int | fdasd_get_geometry (const PedDevice *dev, fdasd_anchor_t *anc, int f)
int | fdasd_get_volser (fdasd_anchor_t *anc, char *volser, int fd)
void | fdasd_initialize_anchor (fdasd_anchor_t *anc)
int | fdasd_prepare_labels (fdasd_anchor_t *anc, int fd)
void | fdasd_recreate_vtoc (fdasd_anchor_t *anc)
void | fdasd_reuse_vtoc (fdasd_anchor_t *anc)
int | fdasd_write_labels (fdasd_anchor_t *anc, int fd)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## Function Documentation

## fdasd_add_partition()

partition_info_t * fdasd_add_partition | ( | fdasd_anchor_t * | anc,
|  | unsigned int | start,
|  | unsigned int | stop )

## fdasd_change_volser()

void fdasd_change_volser | ( | fdasd_anchor_t * | anc,
|  | char * | str )

## fdasd_check_api_version()

void fdasd_check_api_version | ( | fdasd_anchor_t * | anc,
|  | int | f )

## fdasd_check_volser()

void fdasd_check_volser | ( | char * | volser,
|  | int | devno )

## fdasd_check_volume()

int fdasd_check_volume | ( | fdasd_anchor_t * | anc,
|  | int | fd )

## fdasd_cleanup()

void fdasd_cleanup | ( | fdasd_anchor_t * | anchor | ) |

## fdasd_get_geometry()

int fdasd_get_geometry | ( | const PedDevice * | dev,
|  | fdasd_anchor_t * | anc,
|  | int | f )

## fdasd_get_volser()

int fdasd_get_volser | ( | fdasd_anchor_t * | anc,
|  | char * | volser,
|  | int | fd )

## fdasd_initialize_anchor()

void fdasd_initialize_anchor | ( | fdasd_anchor_t * | anc | ) |

## fdasd_prepare_labels()

int fdasd_prepare_labels | ( | fdasd_anchor_t * | anc,
|  | int | fd )

## fdasd_recreate_vtoc()

void fdasd_recreate_vtoc | ( | fdasd_anchor_t * | anc | ) |

## fdasd_reuse_vtoc()

void fdasd_reuse_vtoc | ( | fdasd_anchor_t * | anc | ) |

## fdasd_write_labels()

int fdasd_write_labels | ( | fdasd_anchor_t * | anc,
|  | int | fd )